Subject: Re: [PATCH 2/2] repack: avoid loosening promisor pack objects in partial clones

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Apr 2021 11:06:50 -0700

Rafael Silva <[email-masked]> writes:

> For instance, a partially cloned repository that filters all the blob
> objects (e.g. "--filter=blob:none"), `repack` ends up unpacking all
> blobs into the filesystem that, depending on the repo size, makes
> nearly impossible to repack the operation before running out of disk.

Could you clarify this paragraph a bit more?  It is unclear why the
repository has "all the blob objects" that it can loosen with repack
in the first place, if it was cloned without any blob.  Do you mean
that repack does not stop at the promisor pack boundary and instead
lazily download blobs "on-demand", which ends up as loose objects?

Thanks.